﻿using Syncfusion.UI.Xaml.Charts;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace AnnotationPie
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void ComboBox_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            ComboBox combo = sender as ComboBox;
            Viewmodel view = new Viewmodel();
            if (combo.SelectedIndex == 1)
            {
                chart.Series.Clear();
                PieSeries series = new PieSeries();
                series.ItemsSource = view.details;
                series.XBindingPath = "Name";
                series.YBindingPath = "sales";
                chart.Series.Add(series);
            }
            else
            {
                chart.Series.Clear();
                ColumnSeries series = new ColumnSeries();
                series.ItemsSource = view.details;
                series.XBindingPath = "Name";
                series.YBindingPath = "sales";
                chart.Series.Add(series);
            }
        }
    }
    public class Product
    {
        public string Name { set; get; }
        public double Price { set; get; }
        public double sales { set; get; }
    }

    public class Viewmodel
    {
        public Viewmodel()
        {
            this.details = new ObservableCollection<Product>();
            details.Add(new Product() { Name = "product1", Price = 100, sales = 150 });
            details.Add(new Product() { Name = "product2", Price = 200, sales = 100 });
            details.Add(new Product() { Name = "product3", Price = 250, sales = 250 });
            details.Add(new Product() { Name = "product4", Price = 100, sales = 180 });
            details.Add(new Product() { Name = "product5", Price = 100, sales = 190 });

        }

        public ObservableCollection<Product> details { set; get; }
    }
   
}
